<script setup lang="ts">
import { ref } from 'vue'
import { useI18n } from 'vue-i18n'
import { useAppStore } from '../stores/AppStore'

type MenuBoxRef = InstanceType<typeof MenuBox>

// using
const { t } = useI18n({
	messages: {
		en: {
			title: `@:app`,
			home: `Go to Home`,
			profile: `Profile Menu`,
		},
		th: {
			title: `@:app`,
			home: `กลับไปหน้าแรก`,
			profile: `เมนูโปรไฟล์`,
		},
	},
})
const appStore = useAppStore()

// states
//const menuBox = ref(<MenuBoxRef | null>null)

// props
const props = defineProps<{
	/**
	 * Display title.
	 */
	title?: string
}>()

/**
 * Click on profile menu.
 */
function onProfileMenu(): void {
	appStore.menuBoxOpen()
}
</script>


<style scoped>
#container {
	display: flex;
	flex-direction: row;
	align-items: stretch;
	padding: 1rem 1.5rem 1rem;
	background-color: var(--c-top-header-bg);
}

#title {
	flex: 1 1 0%;
}

#title>a {
	text-decoration: none;
	display: inline-flex;
	flex-direction: row;
	align-items: center;
}

#title>a>img {
	width: 3rem;
	height: 3rem;
	margin: 0 1rem 0 0;
}

#title>a>h1 {
	font-size: 3rem;
	font-weight: bold;
	line-height: 1;
	color: var(--c-top-header-fg);
}

#title>a>h1>span {
	font-size: 3rem;
	font-weight: bold;
	line-height: 1;
	text-overflow: ellipsis;
	color: var(--c-top-header-fg);
}

#right {
	flex: none;
	display: inline-flex;
	flex-direction: row;
	align-items: flex-end;
}

#right>a {
	display: inline-block;
	width: 3rem;
	height: 3rem;
}
</style>


<template>
	<header id="container">
		<div id="title">
			<RouterLink to="/">
				<img src="../assets/images/logo.svg" :alt="t('home')" />
				<h1>{{ props.title || t('title') }}</h1>
			</RouterLink>
		</div>

		<div id="right">
			<a class="cursor: pointer" @click.prevent="onProfileMenu">
				<img src="../assets/images/profile.svg" :alt="t('profile')" />
			</a>
		</div>
	</header>
</template>
